TTYMSG(3)

NAME
ttymsg - ttymsg utility function

LIBRARY
libutil

SYNOPSIS
#include <util.h>
char *
ttymsg(struct iovec *iov, int iovlen, const char *tty, int tmout);

DESCRIPTION
The ttymsg() function is used by programs such as talkd(8), syslogd(8), wall(1), etc., to display the contents of a uio structure on a terminal. ttymsg() forks and finishes in the child if the write would block after waiting up to tmout seconds.

RETURN VALUES
ttymsg() returns a pointer to an error string on unexpected error; the string is not newline-terminated. Various "normal" errors are ignored (exclusive-use, lack of permission, etc.).

SEE ALSO
writev(2)